package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

/**
 * <p>
 * 高层次人才认定
 * </p>
 *
 * @author jobob
 * @since 2020-12-21
 */
public class GccrcrdDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "高层次人才认定ID")
    private String rsZjGccrcSqLsh;

    @ApiModelProperty(value = "办件流水号")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "申请类型")
    @NotBlank(message = "申请类型不能为空")
    private String sqlx;

    @ApiModelProperty(value = "国籍")
    @NotBlank(message = "国籍不能为空")
    private String gj;

    @ApiModelProperty(value = "证件类型")
    @NotBlank(message = "证件类型不能为空")
    private String zjlx;

    @ApiModelProperty(value = "证件号码")
    @NotBlank(message = "证件号码不能为空")
    private String zjhm;

    @ApiModelProperty(value = "姓名")
    @NotBlank(message = "姓名不能为空")
    private String xm;

    @ApiModelProperty(value = "性别")
    @NotBlank(message = "性别不能为空")
    private String xb;

    @ApiModelProperty(value = "出生年月YYYY-MM")
    @NotBlank(message = "出生年月不能为空")
    private String csny;

    @ApiModelProperty(value = "手机号码")
    @NotBlank(message = "手机号码不能为空")
    private String sjhm;

    @ApiModelProperty(value = "政治面貌")
    @NotBlank(message = "政治面貌不能为空")
    private String zzmm;

    @ApiModelProperty(value = "户口所在地")
    private String hkszd;

    @ApiModelProperty(value = "来源方式")
    @NotBlank(message = "来源方式不能为空")
    private String lyfs;

    @ApiModelProperty(value = "到湛江就业创业时间YYYY-MM-DD")
    @NotBlank(message = "到湛江就业创业时间不能为空")
    private String dzjjycysj;

    @ApiModelProperty(value = "持有优粤卡情况")
    @NotBlank(message = "持有优粤卡情况不能为空")
    private String cyyykqk;

    @ApiModelProperty(value = "学历")
    @NotBlank(message = "学历不能为空")
    private String xl;

    @ApiModelProperty(value = "全日制最高学历毕业学校类型")
    @NotBlank(message = "全日制最高学历毕业学校类型不能为空")
    private String qrzzgxlbyxxlx;

    @ApiModelProperty(value = "全日制最高学历毕业学校名称")
    @NotBlank(message = "全日制最高学历毕业学校名称不能为空")
    private String qrzzgxlbyxxmc;

    @ApiModelProperty(value = "全日制最高学历专业大类")
    @NotBlank(message = "全日制最高学历专业大类不能为空")
    private String qrzzgxlzydl;

    @ApiModelProperty(value = "全日制最高学历专业小类")
    @NotBlank(message = "全日制最高学历专业小类不能为空")
    private String qrzzgxlzyxl;

    @ApiModelProperty(value = "职称等级")
    @NotBlank(message = "职称等级不能为空")
    private String zcdj;

    @ApiModelProperty(value = "职称系列")
    private String zcxl;

    @ApiModelProperty(value = "职称专业名称")
    private String zczymc;

    @ApiModelProperty(value = "技能等级")
    @NotBlank(message = "技能等级不能为空")
    private String jndj;

    @ApiModelProperty(value = "技能专业")
    @NotBlank(message = "技能专业不能为空")
    private String jnzy;

    @ApiModelProperty(value = "单位名称")
    @NotBlank(message = "单位名称不能为空")
    private String dwmc;

    @ApiModelProperty(value = "单位所属行业")
    @NotBlank(message = "单位所属行业不能为空")
    private String dwsshy;

    @ApiModelProperty(value = "单位性质")
    @NotBlank(message = "单位性质不能为空")
    private String dwxz;

    @ApiModelProperty(value = "单位管辖")
    @NotBlank(message = "单位管辖不能为空")
    private String dwgx;

    @ApiModelProperty(value = "单位所在县市区")
    @NotBlank(message = "单位所在县市区不能为空")
    private String gwszxsq;

    @ApiModelProperty(value = "从事工作行业")
    @NotBlank(message = "从事工作行业不能为空")
    private String csgzhy;

    @ApiModelProperty(value = "工作岗位性质")
    @NotBlank(message = "工作岗位性质不能为空")
    private String gzgwxz;

    @ApiModelProperty(value = "劳动合同期限")
    @NotBlank(message = "劳动合同期限不能为空")
    private String ldhtqx;

    @ApiModelProperty(value = "劳动合同截止日期")
    private String ldhtjzrq;

    @ApiModelProperty(value = "国家级重点人才项目名称")
    @NotBlank(message = "国家级重点人才项目名称不能为空")
    private String gjjzdrcxmmc;

    @ApiModelProperty(value = "省级重点人才项目名称")
    @NotBlank(message = "省级重点人才项目名称不能为空")
    private String sjjzdrcxmmc;

    @ApiModelProperty(value = "市级重点人才项目名称")
    @NotBlank(message = "市级重点人才项目名称不能为空")
    private String shijjzdrcxmmc;

    @ApiModelProperty(value = "所获专利情况")
    @NotBlank(message = "所获专利情况不能为空")
    private String shzlqk;

    @ApiModelProperty(value = "所获专利名称")
    private String shzlmc;

    @ApiModelProperty(value = "国家级奖项名称")
    @NotBlank(message = "国家级奖项名称不能为空")
    private String gjjjxmc;

    @ApiModelProperty(value = "省级奖项名称")
    @NotBlank(message = "省级奖项名称不能为空")
    private String sjjxmc;

    @ApiModelProperty(value = "市级奖项名称")
    @NotBlank(message = "市级奖项名称不能为空")
    private String shijjxmc;

    @ApiModelProperty(value = "认定湛江人才卡类型")
    @NotBlank(message = "认定湛江人才卡类型不能为空")
    private String rcklx;

    @ApiModelProperty(value = "人才卡号码")
    private String rckhm;

    @ApiModelProperty(value = "电子照片统一存储ID")
    @NotBlank(message = "电子照片统一存储ID不能为空")
    private String tyccid;
    
    @ApiModelProperty(value = "认定条件")
    @NotBlank(message = "认定条件不能为空")
    private String rdtj;

	@ApiModelProperty(value = "原单位名称")
	@NotBlank(message = "原单位名称不能为空")
	private String ydwmc;

	@ApiModelProperty(value = "原单位所在地区")
	@NotBlank(message = "原单位所在地区不能为空")
	private String ydwszd;

	@ApiModelProperty(value = "劳动合同起始日期")
	private String ldhtqsrq;

	public String getYdwmc() {
		return ydwmc;
	}

	public void setYdwmc(String ydwmc) {
		this.ydwmc = ydwmc;
	}

	public String getYdwszd() {
		return ydwszd;
	}

	public void setYdwszd(String ydwszd) {
		this.ydwszd = ydwszd;
	}

	public String getLdhtqsrq() {
		return ldhtqsrq;
	}

	public void setLdhtqsrq(String ldhtqsrq) {
		this.ldhtqsrq = ldhtqsrq;
	}

	public String getRsZjGccrcSqLsh() {
		return rsZjGccrcSqLsh;
	}

	public void setRsZjGccrcSqLsh(String rsZjGccrcSqLsh) {
		this.rsZjGccrcSqLsh = rsZjGccrcSqLsh;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getSqlx() {
		return sqlx;
	}

	public void setSqlx(String sqlx) {
		this.sqlx = sqlx;
	}

	public String getGj() {
		return gj;
	}

	public void setGj(String gj) {
		this.gj = gj;
	}

	public String getZjlx() {
		return zjlx;
	}

	public void setZjlx(String zjlx) {
		this.zjlx = zjlx;
	}

	public String getZjhm() {
		return zjhm;
	}

	public void setZjhm(String zjhm) {
		this.zjhm = zjhm;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getCsny() {
		return csny;
	}

	public void setCsny(String csny) {
		this.csny = csny;
	}

	public String getSjhm() {
		return sjhm;
	}

	public void setSjhm(String sjhm) {
		this.sjhm = sjhm;
	}

	public String getZzmm() {
		return zzmm;
	}

	public void setZzmm(String zzmm) {
		this.zzmm = zzmm;
	}

	public String getHkszd() {
		return hkszd;
	}

	public void setHkszd(String hkszd) {
		this.hkszd = hkszd;
	}

	public String getLyfs() {
		return lyfs;
	}

	public void setLyfs(String lyfs) {
		this.lyfs = lyfs;
	}

	public String getDzjjycysj() {
		return dzjjycysj;
	}

	public void setDzjjycysj(String dzjjycysj) {
		this.dzjjycysj = dzjjycysj;
	}

	public String getCyyykqk() {
		return cyyykqk;
	}

	public void setCyyykqk(String cyyykqk) {
		this.cyyykqk = cyyykqk;
	}

	public String getXl() {
		return xl;
	}

	public void setXl(String xl) {
		this.xl = xl;
	}

	public String getQrzzgxlbyxxlx() {
		return qrzzgxlbyxxlx;
	}

	public void setQrzzgxlbyxxlx(String qrzzgxlbyxxlx) {
		this.qrzzgxlbyxxlx = qrzzgxlbyxxlx;
	}

	public String getQrzzgxlbyxxmc() {
		return qrzzgxlbyxxmc;
	}

	public void setQrzzgxlbyxxmc(String qrzzgxlbyxxmc) {
		this.qrzzgxlbyxxmc = qrzzgxlbyxxmc;
	}

	public String getQrzzgxlzydl() {
		return qrzzgxlzydl;
	}

	public void setQrzzgxlzydl(String qrzzgxlzydl) {
		this.qrzzgxlzydl = qrzzgxlzydl;
	}

	public String getQrzzgxlzyxl() {
		return qrzzgxlzyxl;
	}

	public void setQrzzgxlzyxl(String qrzzgxlzyxl) {
		this.qrzzgxlzyxl = qrzzgxlzyxl;
	}

	public String getZcdj() {
		return zcdj;
	}

	public void setZcdj(String zcdj) {
		this.zcdj = zcdj;
	}

	public String getZcxl() {
		return zcxl;
	}

	public void setZcxl(String zcxl) {
		this.zcxl = zcxl;
	}

	public String getZczymc() {
		return zczymc;
	}

	public void setZczymc(String zczymc) {
		this.zczymc = zczymc;
	}

	public String getJndj() {
		return jndj;
	}

	public void setJndj(String jndj) {
		this.jndj = jndj;
	}

	public String getJnzy() {
		return jnzy;
	}

	public void setJnzy(String jnzy) {
		this.jnzy = jnzy;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getDwsshy() {
		return dwsshy;
	}

	public void setDwsshy(String dwsshy) {
		this.dwsshy = dwsshy;
	}

	public String getDwxz() {
		return dwxz;
	}

	public void setDwxz(String dwxz) {
		this.dwxz = dwxz;
	}

	public String getDwgx() {
		return dwgx;
	}

	public void setDwgx(String dwgx) {
		this.dwgx = dwgx;
	}

	public String getGwszxsq() {
		return gwszxsq;
	}

	public void setGwszxsq(String gwszxsq) {
		this.gwszxsq = gwszxsq;
	}

	public String getCsgzhy() {
		return csgzhy;
	}

	public void setCsgzhy(String csgzhy) {
		this.csgzhy = csgzhy;
	}

	public String getGzgwxz() {
		return gzgwxz;
	}

	public void setGzgwxz(String gzgwxz) {
		this.gzgwxz = gzgwxz;
	}

	public String getLdhtqx() {
		return ldhtqx;
	}

	public void setLdhtqx(String ldhtqx) {
		this.ldhtqx = ldhtqx;
	}

	public String getLdhtjzrq() {
		return ldhtjzrq;
	}

	public void setLdhtjzrq(String ldhtjzrq) {
		this.ldhtjzrq = ldhtjzrq;
	}

	public String getGjjzdrcxmmc() {
		return gjjzdrcxmmc;
	}

	public void setGjjzdrcxmmc(String gjjzdrcxmmc) {
		this.gjjzdrcxmmc = gjjzdrcxmmc;
	}

	public String getSjjzdrcxmmc() {
		return sjjzdrcxmmc;
	}

	public void setSjjzdrcxmmc(String sjjzdrcxmmc) {
		this.sjjzdrcxmmc = sjjzdrcxmmc;
	}

	public String getShijjzdrcxmmc() {
		return shijjzdrcxmmc;
	}

	public void setShijjzdrcxmmc(String shijjzdrcxmmc) {
		this.shijjzdrcxmmc = shijjzdrcxmmc;
	}

	public String getShzlqk() {
		return shzlqk;
	}

	public void setShzlqk(String shzlqk) {
		this.shzlqk = shzlqk;
	}

	public String getShzlmc() {
		return shzlmc;
	}

	public void setShzlmc(String shzlmc) {
		this.shzlmc = shzlmc;
	}

	public String getGjjjxmc() {
		return gjjjxmc;
	}

	public void setGjjjxmc(String gjjjxmc) {
		this.gjjjxmc = gjjjxmc;
	}

	public String getSjjxmc() {
		return sjjxmc;
	}

	public void setSjjxmc(String sjjxmc) {
		this.sjjxmc = sjjxmc;
	}

	public String getShijjxmc() {
		return shijjxmc;
	}

	public void setShijjxmc(String shijjxmc) {
		this.shijjxmc = shijjxmc;
	}

	public String getRcklx() {
		return rcklx;
	}

	public void setRcklx(String rcklx) {
		this.rcklx = rcklx;
	}

	public String getRckhm() {
		return rckhm;
	}

	public void setRckhm(String rckhm) {
		this.rckhm = rckhm;
	}

	public String getTyccid() {
		return tyccid;
	}

	public void setTyccid(String tyccid) {
		this.tyccid = tyccid;
	}

	public String getRdtj() {
		return rdtj;
	}

	public void setRdtj(String rdtj) {
		this.rdtj = rdtj;
	}
}

